Lingxing
切换旧版

Shopify - 查询结算明细列表

POST/basicOpen/multiplatformFinance/shopify/bill/statement/list

Shopify-查询结算明细列表,支持按店铺、订单、MSKU、支付状态、履约状态、交易类型和时间范围查询 Shopify 结算明细。

接口信息

API Path请求协议请求方式令牌桶容量
/basicOpen/multiplatformFinance/shopify/bill/statement/listHTTPSPOST1

请求参数

currencyCodestring
目标货币代码
dutiesIncludedinteger
是否含关税
0:否
1:是
不传:全部
endDatestring
结束时间,格式:yyyy-MM-dd
financialStatusesarray<any>
支付状态
fulfillmentStatusesarray<any>
履约状态
lengthinteger必填
分页大小,默认 20,最大 200
offsetinteger必填
分页偏移量,默认 0
searchExactlyboolean
是否精确匹配
searchExactly1boolean
搜索1是否精确匹配
searchMultiValuearray<any>
多个搜索值
searchMultiValue1array<any>
搜索值1,多个搜索值
searchSingleValuestring
单个搜索值
searchSingleValue1string
搜索值1,单个搜索值
searchTypeinteger
搜索类型
1:平台单号
2:平台子单
searchType1integer
搜索类型1
3:MSKU
4:MSKU ID
sidsarray<any>
店铺ID数组
sortFieldstring
排序字段
sortTypestring
排序方向
0:DESC
1:ASC
startDatestring
开始时间,格式:yyyy-MM-dd
taxesIncludedinteger
是否含税
0:否
1:是
不传:全部
timeTypeinteger
时间类型
1:结算时间
2:下单时间
transactionTypesarray<any>
交易类型

请求cURL示例

curl --location 'https://openapi.lingxing.com/basicOpen/multiplatformFinance/shopify/bill/statement/list?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
  "offset": 0,
  "length": 20,
  "sids": [123456],
  "startDate": "2026-01-01",
  "endDate": "2026-01-31",
  "timeType": 1,
  "searchType": 1,
  "searchSingleValue": "#1001",
  "searchType1": 3,
  "searchSingleValue1": "MSKU-001",
  "financialStatuses": ["paid"],
  "fulfillmentStatuses": ["fulfilled"],
  "sortField": "orderDate",
  "sortType": "0"
}'

返回结果

JSON Object

codeinteger必填
状态码,0:成功
示例 0
messagestring必填
消息提示
示例 success
error_detailsarray<any>必填
数据校验失败时的错误详情
request_idstring必填
请求链路id
示例 a0d54debf93140f3b58d1ed81e8e3583
response_timestring必填
响应时间
示例 2026-05-25 12:00:00
dataobject必填
响应数据
隐藏子属性
listarray<object>必填
列表数据
隐藏子属性
additionalFeeAmountnumber必填
附加费
示例 0
allocatedShippingAmountnumber必填
分摊运费
示例 5
allocatedShippingDiscountnumber必填
分摊运费折扣
示例 1
allocatedShippingTaxnumber必填
分摊运费税
示例 0.3
childrenarray<any>必填
一单多件子项列表,结构同 data>>list
currencystring必填
币种
示例 USD
currencyIconstring必填
币种图标
示例 $
discountAmountnumber必填
折扣总额
示例 3
discountAmountDetailsarray<object>必填
折扣浮层项
隐藏子属性
fieldLabelstring必填
字段标签
示例 商品折扣
fieldNamestring必填
字段名
示例 itemDiscountAmount
fieldValuenumber必填
字段值
示例 2
discountItemAmountnumber必填
商品折扣
示例 2
discountOtherAmountnumber必填
其他折扣
示例 0
discountShippingAmountnumber必填
运费折扣
示例 1
dutiesIncludedstring必填
是否含关税
示例 是
dutyAmountnumber必填
关税总额
示例 1.2
dutyAmountDetailsarray<any>必填
关税浮层项,结构同 discountAmountDetails
dutyItemAmountnumber必填
商品关税
示例 1.2
dutyOtherAmountnumber必填
其他关税
示例 0
financialStatusstring必填
支付状态
示例 paid
fulfilledAtstring必填
标发时间
示例 2026-01-03 10:00:00
fulfilledQuantityinteger必填
标发数量
示例 2
fulfillmentStatusstring必填
履约状态
示例 fulfilled
hasLineItemsinteger必填
是否多件商品平铺
示例 0
idinteger必填
主键ID
示例 100001
isMasterRowboolean必填
是否主行
示例 true
isPrimaryRowinteger必填
主单行标识
示例 1
itemAmountnumber必填
商品金额
示例 100
itemDiscountAmountnumber必填
商品折扣
示例 2
itemDutyAmountnumber必填
商品级关税
示例 1.2
itemDutyTaxAmountnumber必填
商品关税税费
示例 0.1
itemPricenumber必填
商品价格
示例 50
itemSubtotalAfterDiscountnumber必填
商品金额(折扣后)
示例 98
itemTaxAmountnumber必填
商品税
示例 5
lineItemCountinteger必填
订单商品总数
示例 1
lineItemIdstring必填
平台子单号
示例 200001
mskustring必填
MSKU
示例 MSKU-001
mskuIdstring必填
MSKU ID
示例 300001
mskuNamestring必填
MSKU名称
示例 Wireless Mouse
orderCreatedAtstring必填
下单时间
示例 2026-01-01 09:30:00
orderIdstring必填
平台单号ID
示例 1000001
orderNamestring必填
平台单号
示例 #1001
orderedQuantityinteger必填
下单数量
示例 2
otherFeeAmountnumber必填
其他费用
示例 0.5
otherFeeAmountDetailsarray<any>必填
其他费用浮层项,结构同 discountAmountDetails
paidAtstring必填
支付时间
示例 2026-01-01 09:35:00
refundAdjustmentAmountnumber必填
退款调整金额
示例 0
refundAfterFulfilledQuantityinteger必填
标发后退款量
示例 0
refundOtherAmountnumber必填
其他退款金额
示例 0
refundQuantityinteger必填
退款数量
示例 0
refundedAtstring必填
退款时间
requiresShippingstring必填
是否需配送
示例 是
settlementTimestring必填
结算时间
示例 2026-01-05 12:00:00
shippingAmountnumber必填
运费
示例 5
sourceEventIdstring必填
源事件ID
示例 EVT-10001
storeIdinteger必填
店铺ID
示例 123456
storeNamestring必填
店铺名称
示例 Shopify US Store
subtotalPricenumber必填
商品金额小计(折扣后)
示例 98
taxAmountnumber必填
税费总额
示例 5.4
taxAmountDetailsarray<any>必填
税费浮层项,结构同 discountAmountDetails
taxDutyAmountnumber必填
关税税费
示例 0.1
taxItemAmountnumber必填
商品税费
示例 5
taxOtherAmountnumber必填
其他税费
示例 0
taxShippingAmountnumber必填
运费税费
示例 0.3
taxesIncludedstring必填
是否含税
示例 是
tipAmountnumber必填
小费
示例 0
totalLineItemsPricenumber必填
商品金额小计
示例 100
totalPricenumber必填
总计
示例 108.1
transactionTypestring必填
交易类型
示例 sale
totalCountinteger必填
总记录数
示例 1
totalSumobject必填
汇总数据
隐藏子属性
additionalFeeAmountnumber必填
附加费汇总
示例 0
allocatedShippingAmountnumber必填
分摊运费汇总
示例 5
allocatedShippingDiscountnumber必填
分摊运费折扣汇总
示例 1
allocatedShippingTaxnumber必填
分摊运费税汇总
示例 0.3
currencystring必填
货币代码
示例 USD
currencyIconstring必填
货币图标
示例 $
discountAmountnumber必填
折扣总额汇总
示例 3
dutyAmountnumber必填
关税总额汇总
示例 1.2
dutyItemAmountnumber必填
商品关税汇总
示例 1.2
fulfilledQuantityinteger必填
标发数量汇总
示例 2
itemAmountnumber必填
商品金额汇总
示例 100
itemDiscountAmountnumber必填
商品折扣汇总
示例 2
itemDutyAmountnumber必填
商品级关税汇总
示例 1.2
itemDutyTaxAmountnumber必填
商品关税税费汇总
示例 0.1
itemSubtotalAfterDiscountnumber必填
商品金额(折扣后)汇总
示例 98
itemTaxAmountnumber必填
商品税汇总
示例 5
orderedQuantityinteger必填
下单数量汇总
示例 2
otherFeeAmountnumber必填
其他费用汇总
示例 0.5
refundAfterFulfilledQuantityinteger必填
标发后退款量汇总
示例 0
refundQuantityinteger必填
退款数量汇总
示例 0
shippingAmountnumber必填
运费汇总
示例 5
subtotalPricenumber必填
商品金额小计(折扣后)汇总
示例 98
taxAmountnumber必填
税费总额汇总
示例 5.4
tipAmountnumber必填
小费汇总
示例 0
totalCountinteger必填
总记录数
示例 1
totalLineItemsPricenumber必填
商品金额小计汇总
示例 100
totalPricenumber必填
总计汇总
示例 108.1

返回成功示例

{
  "code": 0,
  "message": "success",
  "error_details": [],
  "request_id": "a0d54debf93140f3b58d1ed81e8e3583",
  "response_time": "2026-05-25 12:00:00",
  "data": {
    "list": [
      {
        "additionalFeeAmount": 0.00,
        "allocatedShippingAmount": 5.00,
        "allocatedShippingDiscount": 1.00,
        "allocatedShippingTax": 0.30,
        "children": [],
        "currency": "USD",
        "currencyIcon": "$",
        "discountAmount": 3.00,
        "discountAmountDetails": [
          {
            "fieldLabel": "商品折扣",
            "fieldName": "itemDiscountAmount",
            "fieldValue": 2.00
          }
        ],
        "discountItemAmount": 2.00,
        "discountOtherAmount": 0.00,
        "discountShippingAmount": 1.00,
        "dutiesIncluded": "是",
        "dutyAmount": 1.20,
        "dutyAmountDetails": [
          {
            "fieldLabel": "商品关税",
            "fieldName": "dutyItemAmount",
            "fieldValue": 1.20
          }
        ],
        "dutyItemAmount": 1.20,
        "dutyOtherAmount": 0.00,
        "financialStatus": "paid",
        "fulfilledAt": "2026-01-03 10:00:00",
        "fulfilledQuantity": 2,
        "fulfillmentStatus": "fulfilled",
        "hasLineItems": 0,
        "id": 100001,
        "isMasterRow": true,
        "isPrimaryRow": 1,
        "itemAmount": 100.00,
        "itemDiscountAmount": 2.00,
        "itemDutyAmount": 1.20,
        "itemDutyTaxAmount": 0.10,
        "itemPrice": 50.00,
        "itemSubtotalAfterDiscount": 98.00,
        "itemTaxAmount": 5.00,
        "lineItemCount": 1,
        "lineItemId": "200001",
        "msku": "MSKU-001",
        "mskuId": "300001",
        "mskuName": "Wireless Mouse",
        "orderCreatedAt": "2026-01-01 09:30:00",
        "orderId": "1000001",
        "orderName": "#1001",
        "orderedQuantity": 2,
        "otherFeeAmount": 0.50,
        "otherFeeAmountDetails": [
          {
            "fieldLabel": "其他费用",
            "fieldName": "otherFeeAmount",
            "fieldValue": 0.50
          }
        ],
        "paidAt": "2026-01-01 09:35:00",
        "refundAdjustmentAmount": 0.00,
        "refundAfterFulfilledQuantity": 0,
        "refundOtherAmount": 0.00,
        "refundQuantity": 0,
        "refundedAt": "",
        "requiresShipping": "是",
        "settlementTime": "2026-01-05 12:00:00",
        "shippingAmount": 5.00,
        "sourceEventId": "EVT-10001",
        "storeId": 123456,
        "storeName": "Shopify US Store",
        "subtotalPrice": 98.00,
        "taxAmount": 5.40,
        "taxAmountDetails": [
          {
            "fieldLabel": "商品税费",
            "fieldName": "taxItemAmount",
            "fieldValue": 5.00
          }
        ],
        "taxDutyAmount": 0.10,
        "taxItemAmount": 5.00,
        "taxOtherAmount": 0.00,
        "taxShippingAmount": 0.30,
        "taxesIncluded": "是",
        "tipAmount": 0.00,
        "totalLineItemsPrice": 100.00,
        "totalPrice": 108.10,
        "transactionType": "sale"
      }
    ],
    "totalCount": 1,
    "totalSum": {
      "additionalFeeAmount": 0.00,
      "allocatedShippingAmount": 5.00,
      "allocatedShippingDiscount": 1.00,
      "allocatedShippingTax": 0.30,
      "currency": "USD",
      "currencyIcon": "$",
      "discountAmount": 3.00,
      "dutyAmount": 1.20,
      "dutyItemAmount": 1.20,
      "fulfilledQuantity": 2,
      "itemAmount": 100.00,
      "itemDiscountAmount": 2.00,
      "itemDutyAmount": 1.20,
      "itemDutyTaxAmount": 0.10,
      "itemSubtotalAfterDiscount": 98.00,
      "itemTaxAmount": 5.00,
      "orderedQuantity": 2,
      "otherFeeAmount": 0.50,
      "refundAfterFulfilledQuantity": 0,
      "refundQuantity": 0,
      "shippingAmount": 5.00,
      "subtotalPrice": 98.00,
      "taxAmount": 5.40,
      "tipAmount": 0.00,
      "totalCount": 1,
      "totalLineItemsPrice": 100.00,
      "totalPrice": 108.10
    }
  }
}